// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: false, name: '参赛阵容', leftArrow: false, useBar: false },
    // 主体高度
    infoHeight: '',
    src: '/image/detail.jpg',
    src1: '/image/head1.png',
    lists: [
      {
        id: '1', name: '老头1', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头2', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头3', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头4', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头5', head: '/image/tou.png'
      }
    ],
    list: [
      {
        id: '1', name: '老头1', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头2', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头3', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头4', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头5', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头6', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头7', head: '/image/tou.png'
      },

      {
        id: '1', name: '老头8', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头9', head: '/image/tou.png'
      },
      {
        id: '1', name: '老头10', head: '/image/tou.png'
      }
    ],
    // 上传图片
    fileList: [],
  },
  //上传图片
  afterRead: function (event) {
    const { file } = event.detail;
    // 当设置 mutiple 为 true 时, file 为数组格式，否则为对象格式app.globalData.fileUrl：
    console.log(file);
    wx.uploadFile({
      url: `${app.globalData.imageUrl}/files/court/elimg/upload`,
      filePath: file.url,
      name: 'file',
      formData: {},
      success: (res) => {
        console.log(res);
        if (res.statusCode == '200') {
          let data = [{ name: JSON.parse(res.data).name, url: `${app.globalData.imageUrl}` + JSON.parse(res.data).uri }]
          const { fileList = [] } = this.data;
          fileList.push({ ...file, url: res.data });
          this.setData({ fileList });
        } else {
          wx.showToast({ title: `${res.data.errmsg}`, icon: 'fail', duration: 2000 })
        }
      },
    });
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})